﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class SiteMaster : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            IList<RadTreeNode> nodes = RadTreeView1.GetAllNodes();
            foreach (RadTreeNode item in nodes)
            {
                if (item.Text == "RootElement")
                {
                    item.Selected = true;
                    item.Expanded = true;
                }
                else if (Request.Url.AbsoluteUri.Contains(item.NavigateUrl.Substring(2)))
                {
                    if (item.ParentNode.Expanded != true)
                    {
                        item.ParentNode.Expanded = true;
                    }
                    item.Selected = true;
                }
            }
        }
    }
}
